--[[
	ENEMY
	Things the player shoots at.
]]

class "Enemy" (Entity) {
	__init__ = function(self, spriteName, posX, posY, life, weapon, hitBox)
		Entity.__init__(self, spriteName, posX, posY)
		self.life = life or 1
		self.weapon = weapon or true
		self.hitBox = {hitBox or {x = 0, y = 0, w = self.meta.width, h = self.meta.height}}
		self.maxVelocity = 300
		self.points = 100
		self.move.left = true
	end,

	update = function(self, dt, t)
		Entity.update(self, dt, t)
		if self.posX < -100 or self.posX > 1000 then
			self.kill = true
		end
	end,

	draw = function(self)
		Entity.draw(self)
	end,

	collide = function(self, objX, objY, objW, objH)
		for k, hitBox in ipairs(self.hitBox) do
			local x = self.posX + hitBox.x
			local y = self.posY + hitBox.y
			if not (objX + objW < x  or  x + hitBox.w < objX  or  objY + objH < y  or  y + hitBox.h < objY) then
				return true
			end
		end
	end,

	damage = function(self, power)
		self.life = self.life - power
	end,

	death = function(self, state)
		table.insert(state.sprite, Explosion(self.posX + self.hitBox[1].x, self.posY + self.hitBox[1].y))
	end
}