class "Penguinator" (Enemy) {
	__init__ = function(self, targetY)
		Enemy.__init__(self, "penguinator", math.random(600, 950), -100, 3, {x = 3, y = 22, w = 20, h = 18})
		self.points = 500
		self.move.left = nil
		self.move.down = true
		self.velocityY = 600
		self.maxVelocity = 600
		self.acceleration = 300
		self.brake = 600
		self.targetY = targetY
	end,

	update = function(self, dt, t, state)
		Enemy.update(self, dt, t)
		local distance = - ((self.velocityY^2) /  (2 * -self.brake))
		if self.move.down and self.posY >= self.targetY - distance then
			self.move.down = nil
		elseif self.targetY and self.posY >= self.targetY - self.meta.height * 2 then
			table.insert(state.enemyFire, Bullet("enemy_bullet", self.posX, self.posY + 26, 1, 600, -600, 0, {x = 0, y = 0, w = 8, h = 8}))
			self:setAnimation("landing")
			self.targetY = nil
		end
		if self.animation == "idle" then
			self.move.left = true
		end
		if not self.hasFired and self.velocityX < - 300 then
			self.hasFired = true
			table.insert(state.enemyFire, Bullet("enemy_bullet", self.posX, self.posY + 26, 1, 600, -600, 0, {x = 0, y = 0, w = 8, h = 8}))
		end
	end,

	damage = function(self, power)
		self.life = self.life - power
		self.color = {255, 106 + 50 * self.life, 100 + 25 * self.life, 255}
	end,

	death = function(self, state)
		table.insert(state.sprite, Explosion(self.posX + 3, self.posY + 30))
		table.insert(state.sprite, Explosion(self.posX + 11, self.posY + 20, 0.25))
		table.insert(state.sprite, Explosion(self.posX + 8, self.posY + 37, 0.5))
	end
}