class "Powerup" (Entity) {
	__init__ = function(self, posX, posY)
		Entity.__init__(self, "powerups", posX, posY, {x = -4, y = -4, w = 24, h = 24})

		local setReward = {
			function(self)
				self.reward = "life"
			end,
			function(self)
				self:setAnimation("alt")
				self.reward = "rapid"
			end,
			function(self)
				self:setAnimation("alt2")
				self.reward = "double"
			end
		}
		local x = math.random(1, 3)
		setReward[x](self)
		self.move.left = true
		self.maxVelocity = 200
		self.ghost = true
	end,

	death = function(self, state)
		if self.reward == "life" then
			state.player.life = state.player.life + 1
		else
			state.player:changeWeapon(self.reward)
		end
		state.score = state.score + 1000
		table.insert(state.scoreText, {text = 1000, x = self.posX + 16, y = self.posY - 8, time = love.timer.getTime()})
		local txt = (self.reward == "life" and "1UP!") or (self.reward == "rapid" and "Rapid Fire") or "Double Shot"
		table.insert(state.scoreText, {text = txt, x = self.posX + 32, y = self.posY - 20, time = love.timer.getTime()})
	end
}