--Initial gamestate used to setup the game.
return {
	reset = function(self, game)
		self.game = game
		self.ent = Player("temp", 100, 200)
		self.enemy = {}
		self.bullet = Sprite("bullet", 200, 200)
		for x = 1, 5 do
			table.insert(self.enemy, Enemy("butterdroid", 1000, math.random(16, 400)))
			local enemy = self.enemy[x]
			enemy.maxVelocity = math.random(300, 400)
			local colorMod = 255 - enemy.maxVelocity / 0.6
			enemy.color = {255, colorMod, 255, 255}
		end
		self.bg2 = cache.image("tempbg3.png")
		self.bg = cache.image("parabg.png")
		self.bg3 = cache.image("parabg2.png")
		self.bgX = 0
		self.bgX2 = 0
		self.bgX3 = 0
	end,
	
	update = function(self, dt, t)
		--temp movement code
		local ent = self.ent
		ent.move.up = love.keyboard.isDown("w")
		ent.move.down = love.keyboard.isDown("s")
		ent.move.left = love.keyboard.isDown("a")
		ent.move.right = love.keyboard.isDown("d")
		for k, enemy in ipairs(self.enemy) do
			enemy:update(dt, t)
			if enemy:collide(self.ent.hitBox()) then
				enemy.posX = 1000
				enemy.drawX = 1000
				enemy.posY = math.random(16, 400)
			end
		end
		ent:update(dt, t)
		self.bullet:update(dt, t)

		self.bgX = self.bgX - 800 * dt > -1024 and self.bgX - 800 * dt or 0
		self.bgX2 = self.bgX2 - 1200 * dt > -1024 and self.bgX2 - 1200 * dt or 0
		self.bgX3 = self.bgX3 - 900 * dt > -1024 and self.bgX3 - 900 * dt or 0
		--init code
		--self.game:changeState("dev")
	end,
	
	draw = function(self)
		love.graphics.setColor(color.white)
		love.graphics.draw(self.bg, math.floor(self.bgX), 0)
		love.graphics.draw(self.bg, math.floor(self.bgX) + 1024, 0)
		-- love.graphics.setBlendMode("additive")
		-- love.graphics.draw(self.bg3, math.floor(self.bgX3), 0)
		-- love.graphics.draw(self.bg3, math.floor(self.bgX3) + 1024, 0)
		-- love.graphics.draw(self.bg2, math.floor(self.bgX2), 0)
		-- love.graphics.draw(self.bg2, math.floor(self.bgX2) + 1024, 0)
		-- love.graphics.setBlendMode("alpha")
		--love.graphics.line(math.floor(self.bgX), 0, math.floor(self.bgX), 480)
		--love.graphics.line(math.floor(self.bgX) + 1024, 0, math.floor(self.bgX) + 1024, 480)
		--love.graphics.line(10, 0, 10, 480)
		for k, enemy in ipairs(self.enemy) do
			enemy:draw()
		end
		self.bullet:draw()
		self.ent:draw()
		love.graphics.setColor(color.white)
		love.graphics.print(love.timer.getFPS() .. "fps", 2, 2)
	end,

	keypressed = function(self, key, unicode)
		if key == "escape" then love.event.push("quit") end
	end
}